If the X-Auth-User-ID is passed, then this API will transfer credits from the card back to the wallet, ELSE, this API will initiate a closed loop debit transaction on a particular card linked to users wallet.
Header Parameters
X-Auth-User-IDstring Required
The user_id of the user returned via GET /users
Authorizationstring
Path Parameters
card_idstring Required
The card_id for which the information is being retrieved.
pagestring Required
Page number of the data set returned
Body Parameters
amountinteger Required
messagestring
fund_category_namestring
Response
200
Object
OK
Response Attributes
idstring
Transaction ref ID.
recipientobject
Details of the recipient.
Show child attributes
dateobject
created and expiry date of the card
Show child attributes
statusstring
status of the card.
amountstring
The amount being added or deducted from card.
currencystring
The currecny type in which amount being added or deducted.
400
Object
Bad Request
| Code | Description |
| :--- | :---------- |
| resource_card_hash_id_invalid | Invalid card `hash_id`. |
| resource_card_fund_transfer_type_invalid | Invalid transfer type. Acceptable transfer types :type |
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
401
Object
Unauthorized request
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
403
Object
Forbidden
| Code | Description |
| :--- | :---------- |
| restricted_resource | Access with method `POST` denied |
| risk_management_engine_error | An exception occurred during the processing of the risk and compliance of the user. |
| user_blocked_risk_threshold_exceeded | User have exceeded the risk and compliance threshold and was automatically blocked. |
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
404
Object
Resource not found
| Code | Description |
| :--- | :---------- |
| resource_not_found | The requested URL was not found |